Subject: LRO: RE: Rock sliders

From: "James G.Wolf" <[email-masked]>
Date: Wed, 23 May 2001 11:06:22 -0400

What do you use to make them out of? I thought they were a solid piece of
metal. Could you please expound on these, SWMBO is starting
to question the safety of side mounted ex-MOD fuel tanks and I have been
considering some sort of "crash bar" type of protection.
She started right after the latest on those GM trucks and their side
mounted tanks. Do these sliders fit behind the Birmabright sill piece?
I have been thinking about the round side mounted stuff J.C. Whitney and
Summit sell.
Jim Wolf